@import url('https://fonts.googleapis.com/css2?family=Inconsolata:wght@200..900&display=swap');

/* Extra's  */

button {
    margin: 5px;
}

/* Main */

#nav {
    display: flex;
    justify-content: center;
    padding: 2px;
    position: sticky;
}
#nav button:hover{
    background-color: gray;
    cursor: none;
}

body{
    font-family: Inconsolata;
    background-color: #111111;
    margin: 10px;
    padding: 10px;
    cursor: none;
}
h1 {
    color: antiquewhite;
    display: block;
    font-size: 3em;
    margin-block-start: 0.67em;
    margin-block-end: 0.67em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
    unicode-bidi: isolate;
}
h2{
    color: antiquewhite;
    display: block;
    font-size: 2em;
    margin-block-start: 0.27em;
    margin-block-end: 0.1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
    unicode-bidi: isolate;
}
h3{
    color: antiquewhite;
    display: block;
    font-size: 1.8em;
    margin-block-start: 0.67em;
    margin-block-end: 0.1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
    unicode-bidi: isolate;
}
img{
    border-radius: 10%;
    /* border: 3px solid rgb(130, 130, 136); */
    border: 1px solid white;
}

p{
    color: antiquewhite;
    font-size: 1.3em;
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    unicode-bidi: isolate;
}

button{
    font-size:larger;
    font-weight: 400;
  /*  cursor: pointer; */
}
#Front-End button:hover {
    background-color: orangered;
    cursor: none;
}
#Back-End button:hover{
    background-color: rgb(24, 243, 86);
    cursor: none;
}
#Database button:hover{
    background-color: rgb(0, 157, 249);
    cursor: none;
}
#Additional-Language button:hover{
    background-color: rgb(244, 84, 111);
    cursor: none;
}

#Contact button:hover{
    background-color: cadetblue;
    cursor: none;
}


/* Add Cursor */

.cursor-dot{
    width: 5px;
    height: 5px;
    background-color: white;
}

.cursor-outline{
    width: 30px;
    height: 30px;
    border: 2px solid hsla(0, 18%, 87%, 0.5);
}

.cursor-dot,
.cursor-outline{
    position: fixed;
    top: 0;
    left: 0;
    transform: translate(-50%,-50%);
    border-radius: 50%;
    z-index: 1px;
    pointer-events: none;
}
